org.apache.mina.statemachine.event

## Class DefaultEventFactory

- java.lang.Object
- - org.apache.mina.statemachine.event.DefaultEventFactory

- All Implemented Interfaces:
    EventFactory

      public class DefaultEventFactory
      extends Object
      implements EventFactory

  Default `EventFactory` implementation. Uses the method's name as event id.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `create(StateContext context, Method method, Object[] arguments)` Creates a new `Event` from the specified method and method arguments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventFactory

          public DefaultEventFactory()

  - ### Method Detail

    - #### create

          public Event create(StateContext context,
                     Method method,
                     Object[] arguments)

      Description copied from interface: `EventFactory`
      Creates a new `Event` from the specified method and method arguments.
      Specified by:
        `create` in interface `EventFactory`
      Parameters:
        `context` - the current `StateContext`.
        `method` - the method being invoked.
      Returns:
        the `Event` object.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.